using Godot;

namespace Cirno.Scripts.Components.Actors;

public abstract partial class ActorAimingProvider : Node2D
{
    protected Actor _parent;
    
    public abstract Vector2 FacingDirection { get; set; }
    
    public virtual void Init(Actor parent)
    {
        _parent = parent;
        
        var children = GetChildren();
        foreach (var child in children) {
            if (child is InputProvider inputProvider) 
            {
                //_inputProviders.Add(inputProvider);
            }
        }
    }
}